Bug 175361

Summary: Remove ENABLE_GAMEPAD_DEPRECATED
Product: WebKit Reporter: Michael Catanzaro <mcatanzaro>
Component: WebKitGTKAssignee: Michael Catanzaro <mcatanzaro>
Status: RESOLVED FIXED    
Severity: Normal CC: beidson, bugs-noreply, cgarcia, clopez, commit-queue, mcatanzaro, zan
Priority: P2    
Version: Other   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
Patch cgarcia: review+, commit-queue: commit-queue-

Description Michael Catanzaro 2017-08-08 18:13:49 PDT
No ports are using ENABLE_GAMEPAD_DEPRECATED, so let's remove it.
Comment 1 Michael Catanzaro 2017-08-09 14:40:30 PDT
Zan I feel bad about deleting a bunch of your work... but we don't keep dead code upstream. Would be cool to get gamepads working again someday....
Comment 2 Michael Catanzaro 2017-08-09 14:42:44 PDT
Created attachment 317744 [details]
Patch
Comment 3 WebKit Commit Bot 2017-08-09 23:01:17 PDT
Comment on attachment 317744 [details]
Patch

Rejecting attachment 317744 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 317744, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
.webkit.org/git/WebKit
   906bedc..86ed270  master     -> origin/master
Partial-rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc ...
Currently at 220507 = 906bedc3bd21a169f2c068ba2c46f364a8ad93bf
r220515 = 86ed270cf338e53deb88c49eb5ed31ba935237fa
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.

Full output: http://webkit-queues.webkit.org/results/4288230
Comment 4 Michael Catanzaro 2017-08-10 10:04:50 PDT
Committed r220532: <http://trac.webkit.org/changeset/220532>